using UnityEngine;
using System.Collections;

public class BulletController : MonoBehaviour
{
    public float BulletLifetime = 0.25f;
    private float timeAlive;
    private float startY;

	void Start()
    {
        timeAlive = 0.0f;
        startY = transform.position.y;
	}
	
	void Update()
    {
        timeAlive += Time.deltaTime;
        if (timeAlive >= BulletLifetime)
        {
            Destroy(gameObject);
        }
	}

    void LateUpdate()
    {
        transform.position = new Vector3(transform.position.x, startY, transform.position.z);
    }

    void OnCollisionEnter(Collision collision)
    {
        if (collision.gameObject.tag == "Enemy")
        {
            MonsterController monsterController = collision.gameObject.GetComponent<MonsterController>();
            if (monsterController != null)
            {
                monsterController.ShotByHero();
            }
        }

        Destroy(gameObject);
    }
}
