using UnityEngine;
using System.Collections;

public class MonsterController : MonoBehaviour
{
    public Transform DeathEffectShot;
    public Transform DeathEffectTouched;
    public float DistanceFromHeroToStartMove = 20.0f;
    public float MovementSpeedMin = 1.0f;
    public float MovementSpeedMax = 2.0f;

    private bool moveRight;
    private float movementSpeed;

	void Start()
    {
        if (Random.Range(0.0f, 1.0f) <= 0.5f)
        {
            moveRight = true;
        }
        else
        {
            moveRight = false;
        }

        movementSpeed = Random.Range(MovementSpeedMin, MovementSpeedMax);
	}
	
	void Update()
    {
        GameObject[] players = GameObject.FindGameObjectsWithTag("Player");
        if (players.GetLength(0) == 1)
        {
            float distanceToHero = (players[0].transform.position - transform.position).magnitude;
            if (distanceToHero < DistanceFromHeroToStartMove)
            {
                if (moveRight)
                {
                    transform.position = new Vector3(transform.position.x + Time.deltaTime * movementSpeed, transform.position.y, transform.position.z);
                }
                else
                {
                    transform.position = new Vector3(transform.position.x - Time.deltaTime * movementSpeed, transform.position.y, transform.position.z);
                }
            }
        }
	}

    public void ShotByHero()
    {
        Instantiate(DeathEffectShot, transform.position, Quaternion.identity);
        Destroy(gameObject);
    }

    public void TouchedByHero()
    {
        Instantiate(DeathEffectTouched, transform.position, Quaternion.identity);
        Destroy(gameObject);
    }
}